/*
 *  Copyright (C) 2008 Patrik Gornicz, Gornicz_P (at) hotmail (dot) com.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PARTICLE_H
#define PARTICLE_H

#include <bear/Vector2.h>
using namespace bear;

#include "Entity.h"


/// NOTE to SELF
// a Particle should be drawn for at least the next frame
// ie. creating a particle using ParticleE(Vector2),
// should draw the particle once THEN kill it


/// ***** Header Class *****

class Particle: public Entity
{
    protected:
        Particle(const Vector2&, bool=true);
        Particle(const Vector2&, float);

    public:
        virtual ~Particle();

        virtual void update(float);

    protected:
        float lifeTime;

        bool isDead;
        bool canDie;
};

#endif // PARTICLE_H
