/*
 *  Copyright (C) 2008 Patrik Gornicz, Gornicz_P (at) hotmail (dot) com.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PHYSICS_H
#define PHYSICS_H

#include <bear/Vector2.h>
using namespace bear;

#include "Entity.h"


/// ***** Header Class *****

class PhysicsEntity: public Entity
{
  protected:
    PhysicsEntity(const Vector2&);

  public:
    virtual ~PhysicsEntity();

    virtual void update(float);

    virtual Vector2 positionAt(float) const;
    virtual Vector2 velocityAt(float) const;

    virtual void applyForce(const Vector2& force);
    virtual void applyForce(const Vector2& force, const Vector2& at);

    virtual void applyImpulse(const Vector2& impulse);
    virtual void applyImpulse(const Vector2& impulse, const Vector2& at);

    virtual void applyNudge(const Vector2& vecPush);

  //protected:
    Vector2 force;

    float mass;

    // Coefficient of Restitution
    float CoR;
};

#endif // PHYSICS_H
