/*
 *  Copyright (C) 2008 Patrik Gornicz, Gornicz_P (at) hotmail (dot) com.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Running.h"

#include "entityManager.h"


/// ***** Constructors/Destructors *****

Running::Running()
{
    manager::init();
}
Running::~Running()
{
    manager::clean();
}

/// ***** Public Class Methods *****

void Running::handleInput(bool on_top) const
{
    if( on_top )
    {
        manager::handleInput();
    }
}
void Running::update(float time_step, bool on_top) const
{
    if( on_top )
    {
        manager::update(time_step);
    }
}
void Running::draw(bool /*on_top*/) const
{
    manager::draw();
}
