/*
 *  Copyright (C) 2008 Patrik Gornicz, Gornicz_P (at) hotmail (dot) com.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "config.h"

#include <bear/debug.h>
using namespace bear;

#include <SDL/SDL.h>
#include "keys.h"

#include "reader.h"
#include "input/inputManager.h"

/// ***** Private Method Headers *****
/// ***** Private Variables *****

bool fPaused    = false;

bool fEndGame   = false;

bool fWellFollow= false;
bool fWellOn    = false;
bool fWellOff   = false;

bool fShowFPS   = true;
bool fShowUPS   = true;

/// ***** Initializers/Cleaners *****

void cfg::init()
{
    key::init();
    readConfigs();

    // TODO read in config files
}
void cfg::clean()
{
    // TODO save to config files?
}

/// ***** Public Methods *****

void cfg::handleInput()
{
    fPaused     = input::wasPressed (key::pause) ? !fPaused : fPaused;

    fEndGame    = input::wasReleased(key::end);

    fWellFollow = input::isPressed  (key::follow);
    fWellOn     = input::wasPressed (key::well);
    fWellOff    = input::wasReleased(key::well);
}

bool cfg::paused()
{
    return fPaused;
}

bool cfg::endGame()
{
    return fEndGame;
}

bool cfg::mouseWellFollow()
{
    return fWellFollow;
}
bool cfg::mouseWellOn()
{
    return fWellOn;
}
bool cfg::mouseWellOff()
{
    return fWellOff;
}

bool cfg::showFPS()
{
    return fShowFPS;
}
bool cfg::showUPS()
{
    return fShowUPS;
}

/// ***** Private Methods *****
